Connect one fitting to another fitting

I want to know if it is possible to use Dynamo to move one fitting and connect it to another fitting (step 1).
And connect those two fittings to another fitting (step 2).

End result like this:

Yes possible!

Can you place a example how to do this?
Because i’ve searched for it, but i couldn’t find something similar to my question.

Check out the MEP Over package nodes it will get you started.

OK thanks,
I will look in to it.

If the element are already existing, you can use Element.SetLocation. You can find the connector points with MEPover nodes Element.Connectors and Connector.Location.
Since probably your family location point and connector points are not coincident, you need to find the distance vector.

If the elements don’t exist yet, you can use FamilyInstance.ByPoint

3 Likes

I don’t have time to simplify it, but this will give you an idea.
I hope this will help you.


2 Likes

@yamanyildirim Thanks for making it, this is where i was looking for.
I’ve tryed to make this one, but most of the time the element is moving to the point but isn’t connected to the other element. (getting: False by Geometry.DoesIntersect)


Move&Connect.dyn (47.4 KB)

1 Like

It will work when i move a fitting to a pipe. Then it is connected.
But when i move a fitting to another fitting, then it won’t be connected.

i can’t open your dyn file. can you send screenshot of your dynamo script and error?

2 Likes

Honest question but in Revit, can fittings actually connect to other fittings to be within the same system or do you need a pipe inbetween?

I need to have a fitting connected to another fitting. No pipes between them.
Normally the moved fitting will be automatically changed to the same system as the fitting where he was connected to.

There is a free apps already that can do this. Microdesk

Microdesk isn’t free anymore for 2021. I’m looking to make scripts or find a similar plugin to do Align/Connect Fittings, Bloom (Adds a length of pipe to a fitting/equipment connection)

1 Like

Same lol, It’s a long journey.

I think it’s crazy revit doesn’t have these functions

I found Pyrevit has a MEP extension you can add that has a “connect fitting” option. It forces the connection and works like 90% of the time depending on the situation.

Align - To vertical.dyn (62.5 KB)
Align - Non vertical.dyn (52.9 KB)

I gave that button a try and it’s quite good.

I’ve been working on the align branch button and I’ve got these working quite well. I plan to combine these at some point. I’ll let you know if I ever finish a button.

I think the script posted by yamanyildirim has a timing issue, it seems to fail often but looks like it could be made more reliable.

Thanks! I’ll have to test it out. I’ve had success with the pyrevit add in do this hasn’t been top of my issues. My next problem is something similar to how eVolve does sleeves- or just another good way to get a sleeve to lock to a piece of fab duct.

hello.

can you please tell from which package is the geometry.closest to node is?

Thanks